Package ec.util

# Class QuickSort

java.lang.Object
ec.util.QuickSort

public class QuickSort extends Object
Implementations of various center-pivot QuickSort routines in Java, and (if you really want 'em) Insertion Sort routines as well. This code is derived from the QuickSort example in the source code accompanying A Practical Introduction to Data Structures and Algorithm Analysis, Java Edition, by Clifford Shaffer. Here's the original header:

Source code example for "A Practical Introduction to Data Structures and Algorithm Analysis" by Clifford A. Shaffer, Prentice Hall, 1998. Copyright 1998 by Clifford A. Shaffer

Sorting main function for testing correctness of sort algorithm. To use: [+/-] + means increasing values, - means decreasing value and no parameter means random values; where controls the number of objects to be sorted; and controls the threshold parameter for certain sorts, e.g., cutoff point for quicksort sublists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickSort()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `inssort(byte[] array)`
  Insertion Sort
  `static void`
  `inssort(char[] array)`
  Insertion Sort
  `static void`
  `inssort(double[] array)`
  Insertion Sort
  `static void`
  `inssort(float[] array)`
  Insertion Sort
  `static void`
  `inssort(int[] array)`
  Insertion Sort
  `static void`
  `inssort(int[] array, SortComparatorL comp)`
  Insertion Sort
  `static void`
  `inssort(long[] array)`
  Insertion Sort
  `static void`
  `inssort(long[] array, SortComparatorL comp)`
  Insertion Sort
  `static void`
  `inssort(short[] array)`
  Insertion Sort
  `static void`
  `inssort(Object[] array, SortComparator comp)`
  Insertion Sort
  `static void`
  `qsort(byte[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(char[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(double[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(float[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(int[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(int[] array, SortComparatorL comp)`
  Non-Recursive QuickSort
  `static void`
  `qsort(long[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(long[] array, SortComparatorL comp)`
  Non-Recursive QuickSort
  `static void`
  `qsort(short[] array)`
  Non-Recursive QuickSort
  `static void`
  `qsort(Object[] array, SortComparator comp)`
  Non-Recursive QuickSort

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuickSort

    public QuickSort()

- ## Method Details

  - ### qsort

    public static void qsort(byte[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(byte[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(short[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(short[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(char[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(char[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(int[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(int[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(long[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(long[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(float[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(float[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(double[] array)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(double[] array)
    Insertion Sort

  - ### qsort

    public static void qsort(Object[] array, SortComparator comp)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(Object[] array, SortComparator comp)
    Insertion Sort

  - ### qsort

    public static void qsort(long[] array, SortComparatorL comp)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(long[] array, SortComparatorL comp)
    Insertion Sort

  - ### qsort

    public static void qsort(int[] array, SortComparatorL comp)
    Non-Recursive QuickSort

  - ### inssort

    public static void inssort(int[] array, SortComparatorL comp)
    Insertion Sort